--[[ ä

	Name: AdvCombatLog
	By: Crypton

	All files and code in this addon is strictly
		    All Rights Reserved
	     unless explicitly stated otherwise.

]]
function AdvCombatLog_NormalLog(aclmsg, aclnum)
	local rgb;
	local hex;
	if (AdvCombatLogStrings[aclnum][2] == 0) then
		rgb = AdvCombatLog_Config["colors"][8];
		hex = AdvCombatLog_RGBToHex(rgb["r"], rgb["g"], rgb["b"]);
		return "|cff"..hex..aclmsg.."|r";
	else
		local i;
		local flag;
		local unclean = AdvCombatLog_Pack(string.match(aclmsg, AdvCombatLogStrings[aclnum][1]));
		for i = 1, table.getn(unclean) do
			flag = AdvCombatLog_CheckExists(unclean[i], ACL_NLTemp, 1);
			if (not flag) then
				AdvCombatLog_AddMatch(unclean[i], AdvCombatLogStrings[aclnum][3][i]);
			end
		end
		local j = table.getn(ACL_NLTemp);
		if (j > 0) then
			for i = 1, j do
				aclmsg = string.gsub(aclmsg, ACL_NLTemp[i][1], "%["..ACL_NLTemp[i][3].."%]");
			end
			-- Prevent overlapping/broken color code by doing in a seperate loop..
			for i = 1, j do
				hex = AdvCombatLog_RGBToHex(ACL_NLTemp[i][2]["r"], ACL_NLTemp[i][2]["g"], ACL_NLTemp[i][2]["b"]);
				aclmsg = string.gsub(aclmsg, "%["..ACL_NLTemp[i][3].."%]", "|cff"..hex..ACL_NLTemp[i][1].."|r");
			end
		end
		ACL_NLTemp = {};
		return aclmsg;
	end
end
