--[[ ä

	Name: AdvCombatLog
	By: Crypton

	All files and code in this addon is strictly
		    All Rights Reserved
	     unless explicitly stated otherwise.

]]
function AdvCombatLog_ShortLog(aclmsg, aclnum)
	local rgb;
	local hex;
	if (AdvCombatLogStrings[aclnum][2] == 0) then
		rgb = AdvCombatLog_Config["colors"][8];
		hex = AdvCombatLog_RGBToHex(rgb["r"], rgb["g"], rgb["b"]);
		return "|cff"..hex..aclmsg.."|r";
	else
		local i;
		local j = 1;
		local order = AdvCombatLog_Config["order"];
		local unclean = AdvCombatLog_Pack(string.match(aclmsg, AdvCombatLogStrings[aclnum][1]));
		local temp = {};
		local clean = {};
		local SN = "";
		local TN = "";
		local flag = false;
		local stringf = "";
		-- One loop to rule them all
		for i = 1, table.getn(unclean) do
			flag = AdvCombatLog_CheckExists(AdvCombatLogStrings[aclnum][3][i], temp, 1);
			if (AdvCombatLogStrings[aclnum][3][i] == "SN") then
				if (SN == "") then
					SN = unclean[i];
				end
			elseif (AdvCombatLogStrings[aclnum][3][i] == "TN") then
				if (TN == "") then
					TN = unclean[i];
				end
			end
			if (AdvCombatLogStrings[aclnum][3][i] == "TN" and SN == TN) then
				flag = true;
			end
			if (not flag) then
				rgb = AdvCombatLog_Config["colors"][ACL_COLIDX[AdvCombatLogStrings[aclnum][3][i]]];
				hex = AdvCombatLog_RGBToHex(rgb["r"], rgb["g"], rgb["b"]);
				local temp2 = {
					[1] = AdvCombatLogStrings[aclnum][3][i],
					[2] = "|cff"..hex..unclean[i].."|r",
				};
				table.insert(temp, temp2);
			end
		end
		-- One loop to find them
		j = 1;
		local kw1 = "";
		local kw2 = "";
		local temp2 = {};
		rgb = AdvCombatLog_Config["colors"][8];
		hex = AdvCombatLog_RGBToHex(rgb["r"], rgb["g"], rgb["b"]);
		for i = 1, table.getn(AdvCombatLogKeywords) do
			if (string.find(string.lower(aclmsg), string.lower(AdvCombatLogKeywords[i]))) then
				if (kw1 == "") then
					kw1 = AdvCombatLogKeywords[i];
					temp2 = {
						[1] = "KW",
						[2] = "|cff"..hex..AdvCombatLogKeywords[i].."|r",
					};
					table.insert(temp, temp2);
				elseif(kw2 == "" and AdvCombatLogKeywords[i] ~= kw1) then
					kw2 = AdvCombatLogKeywords[i];
					temp2 = {
						[1] = "KW",
						[2] = "|cff"..hex..AdvCombatLogKeywords[i].."|r",
					};
					table.insert(temp, temp2);
				end
				if (kw1 ~= "" and kw2 ~= "") then
					break;
				end
			end
		end
		-- One loop to bring them all
		local sep;
		for i = 1, table.getn(order) do
			-- ... and in the final loop, bind them
			for j = 1, table.getn(temp) do
				if (temp[j][1] == order[i]) then
					table.insert(clean, temp[j][2]);
					if (i == 1) then
						stringf = "%s";
					else
						if (temp[j][1] == "VA" or temp[j][1] == "AT" or temp[j][1] == "KW") then
							sep = AdvCombatLog_Config["options"][5][4];
						else
							sep = AdvCombatLog_Config["options"][5][3];
						end
						stringf = stringf..sep.."%s";
					end
				end
			end
		end
		-- Works, but allowing 2 seperators so wont work anymore :P
		-- return table.concat({ AdvCombatLog_MultiUnPack(clean) }, AdvCombatLog_Config["options"][5][3]);
		return string.format(stringf, AdvCombatLog_MultiUnPack(clean));
	end
end
